/*===========================================================================*/
/*   (Jas/stack.scm)                                                         */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Jas/stack.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
} *BgL_typez00_bglt;

typedef struct BgL_basicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
} *BgL_basicz00_bglt;

typedef struct BgL_vectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_vectz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   struct BgL_typez00_bgl * BgL_tretz00;
   obj_t BgL_targsz00;
} *BgL_funz00_bglt;

typedef struct BgL_classez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_poolz00;
} *BgL_classez00_bglt;

typedef struct BgL_fieldzd2orzd2methodz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_fieldzd2orzd2methodz00_bglt;

typedef struct BgL_fieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_fieldz00_bglt;

typedef struct BgL_methodz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_methodz00_bglt;

typedef struct BgL_attributez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_typez00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_infoz00;
} *BgL_attributez00_bglt;

typedef struct BgL_classfilez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_globalsz00;
   obj_t BgL_poolz00;
   obj_t BgL_poolzd2siza7ez75;
   obj_t BgL_flagsz00;
   obj_t BgL_mez00;
   obj_t BgL_superz00;
   obj_t BgL_interfacesz00;
   obj_t BgL_fieldsz00;
   obj_t BgL_methodsz00;
   obj_t BgL_attributesz00;
} *BgL_classfilez00_bglt;


BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzjas_stackz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_libz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_classfilez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_nbpopz00zzjas_stackz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjas_stackz00();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT obj_t BGl_zb2zb2zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl__stkzd2analysiszd2zzjas_stackz00(obj_t, obj_t, obj_t);
extern obj_t BGl_jaszd2errorzd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t, obj_t);
BGL_IMPORT obj_t BGl_maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_makezd2stkzd2envz00zzjas_stackz00(obj_t);
extern int BGl_typezd2siza7ez75zzjas_classfilez00(BgL_typez00_bglt);
static obj_t BGl_za2popza2z00zzjas_stackz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_nbpushz00zzjas_stackz00(obj_t, obj_t);
extern obj_t BGl_jaszd2warningzd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t, obj_t);
static obj_t BGl__nbpopz00zzjas_stackz00(obj_t, obj_t, obj_t);
static obj_t BGl__nbpushz00zzjas_stackz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_stkzd2analysezd2zzjas_stackz00(obj_t, obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_cnstzd2initzd2zzjas_stackz00();
static obj_t BGl_importedzd2moduleszd2initz00zzjas_stackz00();
static obj_t BGl_za2pushza2z00zzjas_stackz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zzjas_stackz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_stkzd2analysiszd2zzjas_stackz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjas_stackz00();
static obj_t BGl_toplevelzd2initzd2zzjas_stackz00();
static obj_t __cnst[ 3 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_nbpushzd2envzd2zzjas_stackz00, BgL_bgl__nbpushza700za7za7jas_stackza7001959z00, BGl__nbpushz00zzjas_stackz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_stkzd2analysiszd2envz00zzjas_stackz00, BgL_bgl__stkza7d2analysisza7d2za7za7jas_stackza7001960za7, BGl__stkzd2analysiszd2zzjas_stackz00, 0L, 2 );
DEFINE_STRING( BGl_string1932z00zzjas_stackz00, BgL_bgl_string1932za700za7za7jas_stackza7001961z00, "* #(0 1 1 1 1 1 1 1 1 2 2 1 1 1 2 2 1 1 1 1 2 1 2 1 2 1 1 1 1 1 2 2 2 2 1 1 1 1 2 2 2 2 1 1 1 1 1 2 1 2 1 1 1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2 3 4 4 5 6 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 1 2 0 2 1 2 1 1 2 1 2 2 1 2 1 1 1 1 1 1 1 1 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 * 0 * 0 * * * * 0 1 1 1 1 0 1 1 0 0 * 1 0 0 0 1 0 0 0 0) #(0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2 2 2 2 2 2 2 2 1 2 1 2 1 1 1 1 1 2 2 2 2 1 1 1 1 2 2 2 2 1 1 1 1 3 4 3 4 3 3 3 3 1 2 1 2 3 2 3 4 2 2 4 2 4 2 4 2 4 2 4 2 4 2 4 2 4 2 4 2 4 1 2 1 2 2 3 2 3 2 3 2 4 2 4 2 4 0 1 1 1 2 2 2 1 1 1 2 2 2 1 1 1 4 2 2 4 4 1 1 1 1 1 1 2 2 2 2 2 2 2 2 0 0 0 1 1 1 2 1 2 1 0 0 * 1 * * * * * 0 0 1 1 1 1 1 1 1 1 * * 1 1 0 0 0 0 0 0) ", 832 );
DEFINE_STRING( BGl_string1931z00zzjas_stackz00, BgL_bgl_string1931za700za7za7jas_stackza7001962z00, "empty stack", 11 );
DEFINE_STRING( BGl_string1930z00zzjas_stackz00, BgL_bgl_string1930za700za7za7jas_stackza7001963z00, "different stack for label", 25 );
DEFINE_STRING( BGl_string1929z00zzjas_stackz00, BgL_bgl_string1929za700za7za7jas_stackza7001964z00, "return unreachable", 18 );
DEFINE_STRING( BGl_string1928z00zzjas_stackz00, BgL_bgl_string1928za700za7za7jas_stackza7001965z00, "stack not empty", 15 );
DEFINE_STRING( BGl_string1927z00zzjas_stackz00, BgL_bgl_string1927za700za7za7jas_stackza7001966z00, "bad cop for push", 16 );
DEFINE_STRING( BGl_string1926z00zzjas_stackz00, BgL_bgl_string1926za700za7za7jas_stackza7001967z00, "bad cop for pop", 15 );
DEFINE_EXPORT_PROCEDURE( BGl_nbpopzd2envzd2zzjas_stackz00, BgL_bgl__nbpopza700za7za7jas_stackza7001968z00, BGl__nbpopz00zzjas_stackz00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzjas_stackz00(long BgL_checksumz00_619, char * BgL_fromz00_620)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjas_stackz00))
{ 
BGl_requirezd2initializa7ationz75zzjas_stackz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjas_stackz00(); 
BGl_cnstzd2initzd2zzjas_stackz00(); 
BGl_importedzd2moduleszd2initz00zzjas_stackz00(); 
BGl_toplevelzd2initzd2zzjas_stackz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjas_stackz00()
{ AN_OBJECT;
{ /* ./Jas/stack.scm 1 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "jas_stack"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jas_stack"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jas_stack"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjas_stackz00()
{ AN_OBJECT;
{ /* ./Jas/stack.scm 1 */
{ /* ./Jas/stack.scm 1 */
obj_t BgL_cportz00_608;
BgL_cportz00_608 = 
open_input_string(BGl_string1932z00zzjas_stackz00); 
{ 
long BgL_iz00_609;
BgL_iz00_609 = ((long)2); 
BgL_loopz00_610:
{ /* ./Jas/stack.scm 1 */
bool_t BgL_test1934z00_611;
BgL_test1934z00_611 = 
(BgL_iz00_609==((long)-1)); 
if(BgL_test1934z00_611)
{ /* ./Jas/stack.scm 1 */
return BUNSPEC;}  else 
{ /* ./Jas/stack.scm 1 */
{ /* ./Jas/stack.scm 1 */
obj_t BgL_arg1936z00_612;
{ /* ./Jas/stack.scm 1 */
obj_t BgL_list1939z00_613;
BgL_list1939z00_613 = 
MAKE_PAIR(BgL_cportz00_608, BNIL); 
BgL_arg1936z00_612 = 
BGl_readz00zz__readerz00(BgL_list1939z00_613); } 
{ /* ./Jas/stack.scm 1 */
int BgL_auxz00_636;
BgL_auxz00_636 = 
(int)(BgL_iz00_609); 
CNST_TABLE_SET(BgL_auxz00_636, BgL_arg1936z00_612); } } 
{ /* ./Jas/stack.scm 1 */
int BgL_auxz00_614;
{ /* ./Jas/stack.scm 1 */
long BgL_auxz00_639;
BgL_auxz00_639 = 
(BgL_iz00_609-((long)1)); 
BgL_auxz00_614 = 
(int)(BgL_auxz00_639); } 
{ 
long BgL_iz00_642;
BgL_iz00_642 = 
(long)(BgL_auxz00_614); 
BgL_iz00_609 = BgL_iz00_642; 
goto BgL_loopz00_610;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjas_stackz00()
{ AN_OBJECT;
{ /* ./Jas/stack.scm 1 */
BGl_za2popza2z00zzjas_stackz00 = 
CNST_TABLE_REF(((long)0)); 
return ( 
BGl_za2pushza2z00zzjas_stackz00 = 
CNST_TABLE_REF(((long)1)), BUNSPEC) ;} 
}



/* nbpop */
BGL_EXPORTED_DEF obj_t BGl_nbpopz00zzjas_stackz00(obj_t BgL_classfilez00_1, obj_t BgL_insz00_2)
{ AN_OBJECT;
{ /* ./Jas/stack.scm 25 */
{ /* ./Jas/stack.scm 26 */
obj_t BgL_copz00_182;
BgL_copz00_182 = 
CAR(BgL_insz00_2); 
{ /* ./Jas/stack.scm 26 */
obj_t BgL_argsz00_183;
BgL_argsz00_183 = 
CDR(BgL_insz00_2); 
{ /* ./Jas/stack.scm 26 */
obj_t BgL_nz00_184;
{ /* ./Jas/stack.scm 26 */
int BgL_kz00_442;
BgL_kz00_442 = 
CINT(BgL_copz00_182); 
BgL_nz00_184 = 
VECTOR_REF(BGl_za2popza2z00zzjas_stackz00,BgL_kz00_442); } 
{ /* ./Jas/stack.scm 26 */

{ /* ./Jas/stack.scm 27 */
bool_t BgL_test1419z00_185;
{ /* ./Jas/stack.scm 27 */
obj_t BgL_auxz00_650;
BgL_auxz00_650 = 
CNST_TABLE_REF(((long)2)); 
BgL_test1419z00_185 = 
(BgL_nz00_184==BgL_auxz00_650); } 
if(BgL_test1419z00_185)
{ 

{ /* ./Jas/stack.scm 29 */
bool_t BgL_test1420z00_188;
BgL_test1420z00_188 = 
INTEGERP(BgL_copz00_182); 
if(BgL_test1420z00_188)
{ /* ./Jas/stack.scm 29 */
switch( 
(long)CINT(BgL_copz00_182)) { case ((long)179) : 
case ((long)181) : 

{ /* ./Jas/stack.scm 30 */
int BgL_nz00_189;
{ /* ./Jas/stack.scm 30 */
obj_t BgL_arg1426z00_193;
{ /* ./Jas/stack.scm 30 */
BgL_fieldzd2orzd2methodz00_bglt BgL_obj1131z00_444;
{ /* ./Jas/stack.scm 30 */
obj_t BgL_auxz00_656;
BgL_auxz00_656 = 
CAR(BgL_argsz00_183); 
BgL_obj1131z00_444 = 
(BgL_fieldzd2orzd2methodz00_bglt)(BgL_auxz00_656); } 
BgL_arg1426z00_193 = 
(((BgL_fieldzd2orzd2methodz00_bglt)CREF(BgL_obj1131z00_444))->BgL_typez00); } 
BgL_nz00_189 = 
BGl_typezd2siza7ez75zzjas_classfilez00(
(BgL_typez00_bglt)(BgL_arg1426z00_193)); } 
if(
INTEGERP(BgL_copz00_182))
{ /* ./Jas/stack.scm 31 */
switch( 
(long)CINT(BgL_copz00_182)) { case ((long)179) : 

return 
BINT(BgL_nz00_189);break;case ((long)181) : 

{ /* ./Jas/stack.scm 33 */
long BgL_auxz00_665;
{ /* ./Jas/stack.scm 33 */
long BgL_auxz00_666;
BgL_auxz00_666 = 
(long)(BgL_nz00_189); 
BgL_auxz00_665 = 
(BgL_auxz00_666+((long)1)); } 
return 
BINT(BgL_auxz00_665);} break;
default: 
return BUNSPEC;} }  else 
{ /* ./Jas/stack.scm 31 */
return BUNSPEC;} } break;case ((long)182) : 
case ((long)183) : 
case ((long)184) : 
case ((long)185) : 

{ /* ./Jas/stack.scm 35 */
obj_t BgL_instance1396z00_195;
{ /* ./Jas/stack.scm 35 */
BgL_fieldzd2orzd2methodz00_bglt BgL_obj1131z00_448;
{ /* ./Jas/stack.scm 35 */
obj_t BgL_auxz00_672;
BgL_auxz00_672 = 
CAR(BgL_argsz00_183); 
BgL_obj1131z00_448 = 
(BgL_fieldzd2orzd2methodz00_bglt)(BgL_auxz00_672); } 
BgL_instance1396z00_195 = 
(((BgL_fieldzd2orzd2methodz00_bglt)CREF(BgL_obj1131z00_448))->BgL_typez00); } 
{ /* ./Jas/stack.scm 36 */
obj_t BgL_nz00_196;
{ /* ./Jas/stack.scm 36 */
obj_t BgL_runner1469z00_214;
{ /* ./Jas/stack.scm 36 */
obj_t BgL_l1398z00_198;
{ /* ./Jas/stack.scm 36 */
BgL_funz00_bglt BgL_obj1066z00_449;
BgL_obj1066z00_449 = 
(BgL_funz00_bglt)(BgL_instance1396z00_195); 
BgL_l1398z00_198 = 
(((BgL_funz00_bglt)CREF(BgL_obj1066z00_449))->BgL_targsz00); } 
{ /* ./Jas/stack.scm 36 */
bool_t BgL_test1435z00_199;
BgL_test1435z00_199 = 
NULLP(BgL_l1398z00_198); 
if(BgL_test1435z00_199)
{ /* ./Jas/stack.scm 36 */
BgL_runner1469z00_214 = BNIL; }  else 
{ /* ./Jas/stack.scm 36 */
obj_t BgL_head1400z00_200;
{ /* ./Jas/stack.scm 36 */
int BgL_arg1458z00_211;
{ /* ./Jas/stack.scm 36 */
obj_t BgL_arg1464z00_213;
BgL_arg1464z00_213 = 
CAR(BgL_l1398z00_198); 
BgL_arg1458z00_211 = 
BGl_typezd2siza7ez75zzjas_classfilez00(
(BgL_typez00_bglt)(BgL_arg1464z00_213)); } 
{ /* ./Jas/stack.scm 36 */
obj_t BgL_obj1z00_452;
BgL_obj1z00_452 = 
BINT(BgL_arg1458z00_211); 
BgL_head1400z00_200 = 
MAKE_PAIR(BgL_obj1z00_452, BNIL); } } 
{ 
obj_t BgL_l1398z00_201;obj_t BgL_tail1401z00_202;
{ /* ./Jas/stack.scm 36 */
obj_t BgL_arg1437z00_204;
BgL_arg1437z00_204 = 
CDR(BgL_l1398z00_198); 
BgL_l1398z00_201 = BgL_arg1437z00_204; 
BgL_tail1401z00_202 = BgL_head1400z00_200; 
BgL_map1399z00_203:
{ /* ./Jas/stack.scm 36 */
bool_t BgL_test1440z00_205;
BgL_test1440z00_205 = 
NULLP(BgL_l1398z00_201); 
if(BgL_test1440z00_205)
{ /* ./Jas/stack.scm 36 */
BgL_runner1469z00_214 = BgL_head1400z00_200; }  else 
{ /* ./Jas/stack.scm 36 */
obj_t BgL_newtail1402z00_206;
{ /* ./Jas/stack.scm 36 */
int BgL_arg1448z00_208;
{ /* ./Jas/stack.scm 36 */
obj_t BgL_arg1453z00_210;
BgL_arg1453z00_210 = 
CAR(BgL_l1398z00_201); 
BgL_arg1448z00_208 = 
BGl_typezd2siza7ez75zzjas_classfilez00(
(BgL_typez00_bglt)(BgL_arg1453z00_210)); } 
{ /* ./Jas/stack.scm 36 */
obj_t BgL_obj1z00_457;
BgL_obj1z00_457 = 
BINT(BgL_arg1448z00_208); 
BgL_newtail1402z00_206 = 
MAKE_PAIR(BgL_obj1z00_457, BNIL); } } 
SET_CDR(BgL_tail1401z00_202, BgL_newtail1402z00_206); 
{ /* ./Jas/stack.scm 36 */
obj_t BgL_arg1444z00_207;
BgL_arg1444z00_207 = 
CDR(BgL_l1398z00_201); 
{ 
obj_t BgL_tail1401z00_696;obj_t BgL_l1398z00_695;
BgL_l1398z00_695 = BgL_arg1444z00_207; 
BgL_tail1401z00_696 = BgL_newtail1402z00_206; 
BgL_tail1401z00_202 = BgL_tail1401z00_696; 
BgL_l1398z00_201 = BgL_l1398z00_695; 
goto BgL_map1399z00_203;} } } } } } } } } 
BgL_nz00_196 = 
BGl_zb2zb2zz__r4_numbers_6_5z00(BgL_runner1469z00_214); } 
{ /* ./Jas/stack.scm 37 */
bool_t BgL_testz00_698;
{ /* ./Jas/stack.scm 37 */
long BgL_auxz00_699;
BgL_auxz00_699 = 
(long)CINT(BgL_copz00_182); 
BgL_testz00_698 = 
(BgL_auxz00_699==((long)184)); } 
if(BgL_testz00_698)
{ /* ./Jas/stack.scm 37 */
return BgL_nz00_196;}  else 
{ /* ./Jas/stack.scm 37 */
long BgL_auxz00_702;
{ /* ./Jas/stack.scm 37 */
long BgL_auxz00_703;
BgL_auxz00_703 = 
(long)CINT(BgL_nz00_196); 
BgL_auxz00_702 = 
(BgL_auxz00_703+((long)1)); } 
return 
BINT(BgL_auxz00_702);} } } } break;case ((long)197) : 

{ /* ./Jas/stack.scm 39 */
obj_t BgL_auxz00_707;
BgL_auxz00_707 = 
CDR(BgL_argsz00_183); 
return 
CAR(BgL_auxz00_707);} break;
default: 
BgL_case_else1392z00_186:
return 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BGl_string1926z00zzjas_stackz00, BgL_copz00_182);} }  else 
{ /* ./Jas/stack.scm 29 */
goto BgL_case_else1392z00_186;} } }  else 
{ /* ./Jas/stack.scm 27 */
return BgL_nz00_184;} } } } } } } 
}



/* _nbpop */
obj_t BGl__nbpopz00zzjas_stackz00(obj_t BgL_envz00_592, obj_t BgL_classfilez00_593, obj_t BgL_insz00_594)
{ AN_OBJECT;
{ /* ./Jas/stack.scm 25 */
return 
BGl_nbpopz00zzjas_stackz00(BgL_classfilez00_593, BgL_insz00_594);} 
}



/* nbpush */
BGL_EXPORTED_DEF obj_t BGl_nbpushz00zzjas_stackz00(obj_t BgL_classfilez00_3, obj_t BgL_insz00_4)
{ AN_OBJECT;
{ /* ./Jas/stack.scm 58 */
{ /* ./Jas/stack.scm 59 */
obj_t BgL_copz00_216;
BgL_copz00_216 = 
CAR(BgL_insz00_4); 
{ /* ./Jas/stack.scm 59 */
obj_t BgL_argsz00_217;
BgL_argsz00_217 = 
CDR(BgL_insz00_4); 
{ /* ./Jas/stack.scm 59 */
obj_t BgL_nz00_218;
{ /* ./Jas/stack.scm 59 */
int BgL_kz00_473;
BgL_kz00_473 = 
CINT(BgL_copz00_216); 
BgL_nz00_218 = 
VECTOR_REF(BGl_za2pushza2z00zzjas_stackz00,BgL_kz00_473); } 
{ /* ./Jas/stack.scm 59 */

{ /* ./Jas/stack.scm 60 */
bool_t BgL_test1483z00_219;
{ /* ./Jas/stack.scm 60 */
obj_t BgL_auxz00_719;
BgL_auxz00_719 = 
CNST_TABLE_REF(((long)2)); 
BgL_test1483z00_219 = 
(BgL_nz00_218==BgL_auxz00_719); } 
if(BgL_test1483z00_219)
{ 

{ /* ./Jas/stack.scm 62 */
bool_t BgL_test1484z00_222;
BgL_test1484z00_222 = 
INTEGERP(BgL_copz00_216); 
if(BgL_test1484z00_222)
{ /* ./Jas/stack.scm 62 */
switch( 
(long)CINT(BgL_copz00_216)) { case ((long)178) : 
case ((long)180) : 

{ /* ./Jas/stack.scm 63 */
obj_t BgL_arg1486z00_223;
{ /* ./Jas/stack.scm 63 */
BgL_fieldzd2orzd2methodz00_bglt BgL_obj1131z00_475;
{ /* ./Jas/stack.scm 63 */
obj_t BgL_auxz00_725;
BgL_auxz00_725 = 
CAR(BgL_argsz00_217); 
BgL_obj1131z00_475 = 
(BgL_fieldzd2orzd2methodz00_bglt)(BgL_auxz00_725); } 
BgL_arg1486z00_223 = 
(((BgL_fieldzd2orzd2methodz00_bglt)CREF(BgL_obj1131z00_475))->BgL_typez00); } 
{ /* ./Jas/stack.scm 63 */
int BgL_auxz00_729;
BgL_auxz00_729 = 
BGl_typezd2siza7ez75zzjas_classfilez00(
(BgL_typez00_bglt)(BgL_arg1486z00_223)); 
return 
BINT(BgL_auxz00_729);} } break;case ((long)182) : 
case ((long)183) : 
case ((long)184) : 
case ((long)185) : 

{ /* ./Jas/stack.scm 65 */
obj_t BgL_instance1405z00_225;
{ /* ./Jas/stack.scm 65 */
BgL_fieldzd2orzd2methodz00_bglt BgL_obj1131z00_477;
{ /* ./Jas/stack.scm 65 */
obj_t BgL_auxz00_733;
BgL_auxz00_733 = 
CAR(BgL_argsz00_217); 
BgL_obj1131z00_477 = 
(BgL_fieldzd2orzd2methodz00_bglt)(BgL_auxz00_733); } 
BgL_instance1405z00_225 = 
(((BgL_fieldzd2orzd2methodz00_bglt)CREF(BgL_obj1131z00_477))->BgL_typez00); } 
{ /* ./Jas/stack.scm 66 */
BgL_typez00_bglt BgL_arg1494z00_226;
{ /* ./Jas/stack.scm 66 */
BgL_funz00_bglt BgL_obj1063z00_478;
BgL_obj1063z00_478 = 
(BgL_funz00_bglt)(BgL_instance1405z00_225); 
BgL_arg1494z00_226 = 
(((BgL_funz00_bglt)CREF(BgL_obj1063z00_478))->BgL_tretz00); } 
{ /* ./Jas/stack.scm 66 */
int BgL_auxz00_739;
BgL_auxz00_739 = 
BGl_typezd2siza7ez75zzjas_classfilez00(BgL_arg1494z00_226); 
return 
BINT(BgL_auxz00_739);} } } break;
default: 
BgL_case_else1403z00_220:
return 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_3), BGl_string1927z00zzjas_stackz00, BgL_copz00_216);} }  else 
{ /* ./Jas/stack.scm 62 */
goto BgL_case_else1403z00_220;} } }  else 
{ /* ./Jas/stack.scm 60 */
return BgL_nz00_218;} } } } } } } 
}



/* _nbpush */
obj_t BGl__nbpushz00zzjas_stackz00(obj_t BgL_envz00_595, obj_t BgL_classfilez00_596, obj_t BgL_insz00_597)
{ AN_OBJECT;
{ /* ./Jas/stack.scm 58 */
return 
BGl_nbpushz00zzjas_stackz00(BgL_classfilez00_596, BgL_insz00_597);} 
}



/* stk-analysis */
BGL_EXPORTED_DEF obj_t BGl_stkzd2analysiszd2zzjas_stackz00(obj_t BgL_classfilez00_5, obj_t BgL_codez00_6)
{ AN_OBJECT;
{ /* ./Jas/stack.scm 70 */
{ /* ./Jas/stack.scm 71 */
obj_t BgL_envz00_228;
BgL_envz00_228 = 
BGl_makezd2stkzd2envz00zzjas_stackz00(BgL_codez00_6); 
return 
BGl_stkzd2analysezd2zzjas_stackz00(BgL_envz00_228, BgL_classfilez00_5, BgL_codez00_6, BgL_codez00_6, ((long)0), 
BINT(((long)0)));} } 
}



/* stk-analyse */
obj_t BGl_stkzd2analysezd2zzjas_stackz00(obj_t BgL_envz00_607, obj_t BgL_classfilez00_606, obj_t BgL_codez00_605, obj_t BgL_lz00_320, long BgL_nz00_321, obj_t BgL_maxnz00_322)
{ AN_OBJECT;
{ /* ./Jas/stack.scm 93 */
BGl_stkzd2analysezd2zzjas_stackz00:
{ 
obj_t BgL_insz00_231;obj_t BgL_lz00_232;long BgL_nz00_233;obj_t BgL_maxnz00_234;
{ /* ./Jas/stack.scm 73 */
bool_t BgL_test1677z00_324;
BgL_test1677z00_324 = 
NULLP(BgL_lz00_320); 
if(BgL_test1677z00_324)
{ /* ./Jas/stack.scm 73 */
return 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_606), BGl_string1929z00zzjas_stackz00, BgL_lz00_320);}  else 
{ /* ./Jas/stack.scm 75 */
bool_t BgL_test1679z00_325;
{ /* ./Jas/stack.scm 75 */
obj_t BgL_auxz00_754;
BgL_auxz00_754 = 
CAR(BgL_lz00_320); 
BgL_test1679z00_325 = 
SYMBOLP(BgL_auxz00_754); } 
if(BgL_test1679z00_325)
{ /* ./Jas/stack.scm 75 */
{ /* ./Jas/stack.scm 76 */
obj_t BgL_slotz00_326;
BgL_slotz00_326 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CAR(BgL_lz00_320), BgL_envz00_607); 
{ /* ./Jas/stack.scm 76 */
obj_t BgL_nlabz00_327;
BgL_nlabz00_327 = 
CDR(BgL_slotz00_326); 
{ /* ./Jas/stack.scm 76 */

{ /* ./Jas/stack.scm 78 */
bool_t BgL_test1681z00_328;
{ /* ./Jas/stack.scm 78 */
long BgL_auxz00_761;
BgL_auxz00_761 = 
(long)CINT(BgL_nlabz00_327); 
BgL_test1681z00_328 = 
(BgL_auxz00_761==((long)-1)); } 
if(BgL_test1681z00_328)
{ /* ./Jas/stack.scm 78 */
{ /* ./Jas/stack.scm 79 */
obj_t BgL_objz00_569;
BgL_objz00_569 = 
BINT(BgL_nz00_321); 
SET_CDR(BgL_slotz00_326, BgL_objz00_569); } 
{ /* ./Jas/stack.scm 80 */
obj_t BgL_arg1684z00_329;
BgL_arg1684z00_329 = 
CDR(BgL_lz00_320); 
{ 
obj_t BgL_lz00_768;
BgL_lz00_768 = BgL_arg1684z00_329; 
BgL_lz00_320 = BgL_lz00_768; 
goto BGl_stkzd2analysezd2zzjas_stackz00;} } }  else 
{ /* ./Jas/stack.scm 81 */
bool_t BgL_test1687z00_330;
{ /* ./Jas/stack.scm 81 */
long BgL_auxz00_769;
BgL_auxz00_769 = 
(long)CINT(BgL_nlabz00_327); 
BgL_test1687z00_330 = 
(BgL_nz00_321==BgL_auxz00_769); } 
if(BgL_test1687z00_330)
{ /* ./Jas/stack.scm 81 */
return BgL_maxnz00_322;}  else 
{ /* ./Jas/stack.scm 81 */
{ /* ./Jas/stack.scm 83 */
obj_t BgL_arg1690z00_332;
{ /* ./Jas/stack.scm 84 */
obj_t BgL_arg1695z00_333;
BgL_arg1695z00_333 = 
CAR(BgL_lz00_320); 
{ /* ./Jas/stack.scm 84 */
obj_t BgL_list1697z00_334;
{ /* ./Jas/stack.scm 84 */
obj_t BgL_arg1699z00_335;
{ /* ./Jas/stack.scm 84 */
obj_t BgL_arg1702z00_336;
BgL_arg1702z00_336 = 
MAKE_PAIR(BgL_nlabz00_327, BNIL); 
{ /* ./Jas/stack.scm 84 */
obj_t BgL_auxz00_775;
BgL_auxz00_775 = 
BINT(BgL_nz00_321); 
BgL_arg1699z00_335 = 
MAKE_PAIR(BgL_auxz00_775, BgL_arg1702z00_336); } } 
BgL_list1697z00_334 = 
MAKE_PAIR(BgL_arg1695z00_333, BgL_arg1699z00_335); } 
BgL_arg1690z00_332 = BgL_list1697z00_334; } } 
BGl_jaszd2warningzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_606), BGl_string1930z00zzjas_stackz00, BgL_arg1690z00_332); } 
return BgL_maxnz00_322;} } } } } } }  else 
{ /* ./Jas/stack.scm 75 */
{ /* ./Jas/stack.scm 87 */
long BgL_downz00_338;
{ /* ./Jas/stack.scm 87 */
obj_t BgL_arg1735z00_347;
{ /* ./Jas/stack.scm 87 */
obj_t BgL_arg1738z00_348;
BgL_arg1738z00_348 = 
CAR(BgL_lz00_320); 
BgL_arg1735z00_347 = 
BGl_nbpopz00zzjas_stackz00(BgL_classfilez00_606, BgL_arg1738z00_348); } 
{ /* ./Jas/stack.scm 87 */
long BgL_auxz00_783;
BgL_auxz00_783 = 
(long)CINT(BgL_arg1735z00_347); 
BgL_downz00_338 = 
(BgL_nz00_321-BgL_auxz00_783); } } 
{ /* ./Jas/stack.scm 87 */
long BgL_upz00_339;
{ /* ./Jas/stack.scm 88 */
obj_t BgL_arg1728z00_345;
{ /* ./Jas/stack.scm 88 */
obj_t BgL_arg1731z00_346;
BgL_arg1731z00_346 = 
CAR(BgL_lz00_320); 
BgL_arg1728z00_345 = 
BGl_nbpushz00zzjas_stackz00(BgL_classfilez00_606, BgL_arg1731z00_346); } 
{ /* ./Jas/stack.scm 88 */
long BgL_auxz00_788;
BgL_auxz00_788 = 
(long)CINT(BgL_arg1728z00_345); 
BgL_upz00_339 = 
(BgL_downz00_338+BgL_auxz00_788); } } 
{ /* ./Jas/stack.scm 88 */

{ /* ./Jas/stack.scm 89 */
bool_t BgL_test1713z00_340;
BgL_test1713z00_340 = 
(BgL_downz00_338<((long)0)); 
if(BgL_test1713z00_340)
{ /* ./Jas/stack.scm 89 */
BGl_jaszd2warningzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_606), BGl_string1931z00zzjas_stackz00, 
BINT(BgL_downz00_338)); 
{ /* ./Jas/stack.scm 92 */
long BgL_za71za7_582;
BgL_za71za7_582 = 
(long)CINT(BgL_maxnz00_322); 
{ /* ./Jas/stack.scm 92 */
long BgL_auxz00_797;
BgL_auxz00_797 = 
(BgL_za71za7_582-BgL_downz00_338); 
BgL_maxnz00_322 = 
BINT(BgL_auxz00_797); } } }  else 
{ /* ./Jas/stack.scm 89 */BFALSE; } } 
{ /* ./Jas/stack.scm 93 */
obj_t BgL_arg1718z00_341;obj_t BgL_arg1719z00_342;obj_t BgL_arg1720z00_343;
BgL_arg1718z00_341 = 
CAR(BgL_lz00_320); 
BgL_arg1719z00_342 = 
CDR(BgL_lz00_320); 
{ /* ./Jas/stack.scm 93 */
obj_t BgL_list1725z00_344;
BgL_list1725z00_344 = 
MAKE_PAIR(BgL_maxnz00_322, BNIL); 
BgL_arg1720z00_343 = 
BGl_maxz00zz__r4_numbers_6_5z00(
BINT(BgL_upz00_339), BgL_list1725z00_344); } 
BgL_insz00_231 = BgL_arg1718z00_341; 
BgL_lz00_232 = BgL_arg1719z00_342; 
BgL_nz00_233 = BgL_upz00_339; 
BgL_maxnz00_234 = BgL_arg1720z00_343; 
{ 
obj_t BgL_lz00_313;
{ /* ./Jas/stack.scm 97 */
obj_t BgL_aux1408z00_239;
BgL_aux1408z00_239 = 
CAR(BgL_insz00_231); 
{ /* ./Jas/stack.scm 97 */
bool_t BgL_test1511z00_240;
BgL_test1511z00_240 = 
INTEGERP(BgL_aux1408z00_239); 
if(BgL_test1511z00_240)
{ /* ./Jas/stack.scm 97 */
switch( 
(long)CINT(BgL_aux1408z00_239)) { case ((long)153) : 
case ((long)154) : 
case ((long)155) : 
case ((long)156) : 
case ((long)157) : 
case ((long)158) : 
case ((long)159) : 
case ((long)160) : 
case ((long)161) : 
case ((long)162) : 
case ((long)163) : 
case ((long)164) : 
case ((long)165) : 
case ((long)166) : 
case ((long)198) : 
case ((long)199) : 

{ /* ./Jas/stack.scm 99 */
obj_t BgL_arg1513z00_241;obj_t BgL_arg1514z00_242;
BgL_arg1513z00_241 = 
BGl_stkzd2analysezd2zzjas_stackz00(BgL_envz00_607, BgL_classfilez00_606, BgL_codez00_605, BgL_lz00_232, BgL_nz00_233, BgL_maxnz00_234); 
{ /* ./Jas/stack.scm 99 */
obj_t BgL_arg1520z00_244;
{ /* ./Jas/stack.scm 99 */
obj_t BgL_auxz00_809;
BgL_auxz00_809 = 
CDR(BgL_insz00_231); 
BgL_arg1520z00_244 = 
CAR(BgL_auxz00_809); } 
{ /* ./Jas/stack.scm 99 */
obj_t BgL_arg1673z00_486;
BgL_arg1673z00_486 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1520z00_244, BgL_codez00_605); 
BgL_arg1514z00_242 = 
BGl_stkzd2analysezd2zzjas_stackz00(BgL_envz00_607, BgL_classfilez00_606, BgL_codez00_605, BgL_arg1673z00_486, BgL_nz00_233, BgL_maxnz00_234); } } 
{ /* ./Jas/stack.scm 99 */
obj_t BgL_list1516z00_243;
BgL_list1516z00_243 = 
MAKE_PAIR(BgL_arg1514z00_242, BNIL); 
return 
BGl_maxz00zz__r4_numbers_6_5z00(BgL_arg1513z00_241, BgL_list1516z00_243);} } break;case ((long)167) : 
case ((long)200) : 

{ /* ./Jas/stack.scm 101 */
obj_t BgL_arg1524z00_245;
{ /* ./Jas/stack.scm 101 */
obj_t BgL_auxz00_816;
BgL_auxz00_816 = 
CDR(BgL_insz00_231); 
BgL_arg1524z00_245 = 
CAR(BgL_auxz00_816); } 
{ /* ./Jas/stack.scm 101 */
obj_t BgL_arg1673z00_492;
BgL_arg1673z00_492 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1524z00_245, BgL_codez00_605); 
{ 
obj_t BgL_maxnz00_822;long BgL_nz00_821;obj_t BgL_lz00_820;
BgL_lz00_820 = BgL_arg1673z00_492; 
BgL_nz00_821 = BgL_nz00_233; 
BgL_maxnz00_822 = BgL_maxnz00_234; 
BgL_maxnz00_322 = BgL_maxnz00_822; 
BgL_nz00_321 = BgL_nz00_821; 
BgL_lz00_320 = BgL_lz00_820; 
goto BGl_stkzd2analysezd2zzjas_stackz00;} } } break;case ((long)168) : 
case ((long)201) : 

{ /* ./Jas/stack.scm 103 */
obj_t BgL_arg1528z00_246;obj_t BgL_arg1530z00_247;
{ /* ./Jas/stack.scm 103 */
long BgL_arg1537z00_249;
BgL_arg1537z00_249 = 
(BgL_nz00_233-((long)1)); 
BgL_arg1528z00_246 = 
BGl_stkzd2analysezd2zzjas_stackz00(BgL_envz00_607, BgL_classfilez00_606, BgL_codez00_605, BgL_lz00_232, BgL_arg1537z00_249, BgL_maxnz00_234); } 
{ /* ./Jas/stack.scm 104 */
obj_t BgL_arg1541z00_250;
{ /* ./Jas/stack.scm 104 */
obj_t BgL_auxz00_825;
BgL_auxz00_825 = 
CDR(BgL_insz00_231); 
BgL_arg1541z00_250 = 
CAR(BgL_auxz00_825); } 
{ /* ./Jas/stack.scm 104 */
obj_t BgL_arg1673z00_498;
BgL_arg1673z00_498 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1541z00_250, BgL_codez00_605); 
BgL_arg1530z00_247 = 
BGl_stkzd2analysezd2zzjas_stackz00(BgL_envz00_607, BgL_classfilez00_606, BgL_codez00_605, BgL_arg1673z00_498, BgL_nz00_233, BgL_maxnz00_234); } } 
{ /* ./Jas/stack.scm 103 */
obj_t BgL_list1532z00_248;
BgL_list1532z00_248 = 
MAKE_PAIR(BgL_arg1530z00_247, BNIL); 
return 
BGl_maxz00zz__r4_numbers_6_5z00(BgL_arg1528z00_246, BgL_list1532z00_248);} } break;case ((long)169) : 
case ((long)191) : 

return BgL_maxnz00_234;break;case ((long)170) : 

{ 
obj_t BgL_defz00_251;obj_t BgL_begz00_252;obj_t BgL_labsz00_253;
{ /* ./Jas/stack.scm 108 */
obj_t BgL_ezd2102zd2_255;
BgL_ezd2102zd2_255 = 
CDR(BgL_insz00_231); 
{ /* ./Jas/stack.scm 97 */
bool_t BgL_test1544z00_256;
BgL_test1544z00_256 = 
PAIRP(BgL_ezd2102zd2_255); 
if(BgL_test1544z00_256)
{ /* ./Jas/stack.scm 97 */
obj_t BgL_cdrzd2110zd2_257;
BgL_cdrzd2110zd2_257 = 
CDR(BgL_ezd2102zd2_255); 
{ /* ./Jas/stack.scm 97 */
bool_t BgL_test1545z00_258;
BgL_test1545z00_258 = 
PAIRP(BgL_cdrzd2110zd2_257); 
if(BgL_test1545z00_258)
{ /* ./Jas/stack.scm 97 */
obj_t BgL_arg1547z00_259;obj_t BgL_arg1548z00_260;obj_t BgL_arg1549z00_261;
BgL_arg1547z00_259 = 
CAR(BgL_ezd2102zd2_255); 
BgL_arg1548z00_260 = 
CAR(BgL_cdrzd2110zd2_257); 
BgL_arg1549z00_261 = 
CDR(BgL_cdrzd2110zd2_257); 
BgL_defz00_251 = BgL_arg1547z00_259; 
BgL_begz00_252 = BgL_arg1548z00_260; 
BgL_labsz00_253 = BgL_arg1549z00_261; 
{ /* ./Jas/stack.scm 110 */
obj_t BgL_runner1601z00_281;
{ /* ./Jas/stack.scm 110 */
obj_t BgL_arg1559z00_262;obj_t BgL_arg1562z00_263;
{ /* ./Jas/stack.scm 110 */
obj_t BgL_arg1673z00_507;
BgL_arg1673z00_507 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_defz00_251, BgL_codez00_605); 
BgL_arg1559z00_262 = 
BGl_stkzd2analysezd2zzjas_stackz00(BgL_envz00_607, BgL_classfilez00_606, BgL_codez00_605, BgL_arg1673z00_507, BgL_nz00_233, BgL_maxnz00_234); } 
{ /* ./Jas/stack.scm 110 */
bool_t BgL_test1565z00_265;
BgL_test1565z00_265 = 
NULLP(BgL_labsz00_253); 
if(BgL_test1565z00_265)
{ /* ./Jas/stack.scm 110 */
BgL_arg1562z00_263 = BNIL; }  else 
{ /* ./Jas/stack.scm 110 */
obj_t BgL_head1411z00_266;
{ /* ./Jas/stack.scm 110 */
obj_t BgL_arg1591z00_277;
{ /* ./Jas/stack.scm 110 */
obj_t BgL_arg1596z00_279;
BgL_arg1596z00_279 = 
CAR(BgL_labsz00_253); 
{ /* ./Jas/stack.scm 110 */
obj_t BgL_arg1673z00_511;
BgL_arg1673z00_511 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1596z00_279, BgL_codez00_605); 
BgL_arg1591z00_277 = 
BGl_stkzd2analysezd2zzjas_stackz00(BgL_envz00_607, BgL_classfilez00_606, BgL_codez00_605, BgL_arg1673z00_511, BgL_nz00_233, BgL_maxnz00_234); } } 
BgL_head1411z00_266 = 
MAKE_PAIR(BgL_arg1591z00_277, BNIL); } 
{ 
obj_t BgL_l1409z00_267;obj_t BgL_tail1412z00_268;
{ /* ./Jas/stack.scm 110 */
obj_t BgL_arg1568z00_270;
BgL_arg1568z00_270 = 
CDR(BgL_labsz00_253); 
BgL_l1409z00_267 = BgL_arg1568z00_270; 
BgL_tail1412z00_268 = BgL_head1411z00_266; 
BgL_map1410z00_269:
{ /* ./Jas/stack.scm 110 */
bool_t BgL_test1571z00_271;
BgL_test1571z00_271 = 
NULLP(BgL_l1409z00_267); 
if(BgL_test1571z00_271)
{ /* ./Jas/stack.scm 110 */
BgL_arg1562z00_263 = BgL_head1411z00_266; }  else 
{ /* ./Jas/stack.scm 110 */
obj_t BgL_newtail1413z00_272;
{ /* ./Jas/stack.scm 110 */
obj_t BgL_arg1579z00_274;
{ /* ./Jas/stack.scm 110 */
obj_t BgL_arg1586z00_276;
BgL_arg1586z00_276 = 
CAR(BgL_l1409z00_267); 
{ /* ./Jas/stack.scm 110 */
obj_t BgL_arg1673z00_518;
BgL_arg1673z00_518 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1586z00_276, BgL_codez00_605); 
BgL_arg1579z00_274 = 
BGl_stkzd2analysezd2zzjas_stackz00(BgL_envz00_607, BgL_classfilez00_606, BgL_codez00_605, BgL_arg1673z00_518, BgL_nz00_233, BgL_maxnz00_234); } } 
BgL_newtail1413z00_272 = 
MAKE_PAIR(BgL_arg1579z00_274, BNIL); } 
SET_CDR(BgL_tail1412z00_268, BgL_newtail1413z00_272); 
{ /* ./Jas/stack.scm 110 */
obj_t BgL_arg1575z00_273;
BgL_arg1575z00_273 = 
CDR(BgL_l1409z00_267); 
{ 
obj_t BgL_tail1412z00_859;obj_t BgL_l1409z00_858;
BgL_l1409z00_858 = BgL_arg1575z00_273; 
BgL_tail1412z00_859 = BgL_newtail1413z00_272; 
BgL_tail1412z00_268 = BgL_tail1412z00_859; 
BgL_l1409z00_267 = BgL_l1409z00_858; 
goto BgL_map1410z00_269;} } } } } } } } 
BgL_runner1601z00_281 = 
MAKE_PAIR(BgL_arg1559z00_262, BgL_arg1562z00_263); } 
{ /* ./Jas/stack.scm 110 */
obj_t BgL_aux1600z00_280;
{ /* ./Jas/stack.scm 110 */
obj_t BgL_pairz00_524;
BgL_pairz00_524 = BgL_runner1601z00_281; 
BgL_aux1600z00_280 = 
CAR(BgL_pairz00_524); } 
{ /* ./Jas/stack.scm 110 */
obj_t BgL_pairz00_525;
BgL_pairz00_525 = BgL_runner1601z00_281; 
BgL_runner1601z00_281 = 
CDR(BgL_pairz00_525); } 
return 
BGl_maxz00zz__r4_numbers_6_5z00(BgL_aux1600z00_280, BgL_runner1601z00_281);} } }  else 
{ /* ./Jas/stack.scm 97 */
return BFALSE;} } }  else 
{ /* ./Jas/stack.scm 97 */
return BFALSE;} } } } break;case ((long)171) : 

{ 
obj_t BgL_defz00_282;obj_t BgL_tablez00_283;
{ /* ./Jas/stack.scm 112 */
obj_t BgL_ezd2119zd2_285;
BgL_ezd2119zd2_285 = 
CDR(BgL_insz00_231); 
{ /* ./Jas/stack.scm 97 */
bool_t BgL_test1604z00_286;
BgL_test1604z00_286 = 
PAIRP(BgL_ezd2119zd2_285); 
if(BgL_test1604z00_286)
{ /* ./Jas/stack.scm 97 */
obj_t BgL_arg1606z00_287;obj_t BgL_arg1607z00_288;
BgL_arg1606z00_287 = 
CAR(BgL_ezd2119zd2_285); 
BgL_arg1607z00_288 = 
CDR(BgL_ezd2119zd2_285); 
BgL_defz00_282 = BgL_arg1606z00_287; 
BgL_tablez00_283 = BgL_arg1607z00_288; 
{ /* ./Jas/stack.scm 114 */
obj_t BgL_runner1640z00_305;
{ /* ./Jas/stack.scm 114 */
obj_t BgL_arg1614z00_289;obj_t BgL_arg1615z00_290;
{ /* ./Jas/stack.scm 114 */
obj_t BgL_arg1673z00_531;
BgL_arg1673z00_531 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_defz00_282, BgL_codez00_605); 
BgL_arg1614z00_289 = 
BGl_stkzd2analysezd2zzjas_stackz00(BgL_envz00_607, BgL_classfilez00_606, BgL_codez00_605, BgL_arg1673z00_531, BgL_nz00_233, BgL_maxnz00_234); } 
{ /* ./Jas/stack.scm 115 */
bool_t BgL_test1618z00_292;
BgL_test1618z00_292 = 
NULLP(BgL_tablez00_283); 
if(BgL_test1618z00_292)
{ /* ./Jas/stack.scm 115 */
BgL_arg1615z00_290 = BNIL; }  else 
{ /* ./Jas/stack.scm 115 */
obj_t BgL_head1416z00_293;
BgL_head1416z00_293 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1414z00_294;obj_t BgL_tail1417z00_295;
BgL_l1414z00_294 = BgL_tablez00_283; 
BgL_tail1417z00_295 = BgL_head1416z00_293; 
BgL_map1415z00_296:
{ /* ./Jas/stack.scm 115 */
bool_t BgL_test1620z00_297;
BgL_test1620z00_297 = 
NULLP(BgL_l1414z00_294); 
if(BgL_test1620z00_297)
{ /* ./Jas/stack.scm 115 */
BgL_arg1615z00_290 = 
CDR(BgL_head1416z00_293); }  else 
{ /* ./Jas/stack.scm 115 */
obj_t BgL_newtail1418z00_298;
{ /* ./Jas/stack.scm 115 */
obj_t BgL_arg1628z00_300;
{ /* ./Jas/stack.scm 115 */
obj_t BgL_slotz00_302;
BgL_slotz00_302 = 
CAR(BgL_l1414z00_294); 
{ /* ./Jas/stack.scm 115 */
obj_t BgL_arg1632z00_303;
BgL_arg1632z00_303 = 
CDR(BgL_slotz00_302); 
{ /* ./Jas/stack.scm 115 */
obj_t BgL_arg1673z00_540;
BgL_arg1673z00_540 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1632z00_303, BgL_codez00_605); 
BgL_arg1628z00_300 = 
BGl_stkzd2analysezd2zzjas_stackz00(BgL_envz00_607, BgL_classfilez00_606, BgL_codez00_605, BgL_arg1673z00_540, BgL_nz00_233, BgL_maxnz00_234); } } } 
BgL_newtail1418z00_298 = 
MAKE_PAIR(BgL_arg1628z00_300, BNIL); } 
SET_CDR(BgL_tail1417z00_295, BgL_newtail1418z00_298); 
{ /* ./Jas/stack.scm 115 */
obj_t BgL_arg1624z00_299;
BgL_arg1624z00_299 = 
CDR(BgL_l1414z00_294); 
{ 
obj_t BgL_tail1417z00_885;obj_t BgL_l1414z00_884;
BgL_l1414z00_884 = BgL_arg1624z00_299; 
BgL_tail1417z00_885 = BgL_newtail1418z00_298; 
BgL_tail1417z00_295 = BgL_tail1417z00_885; 
BgL_l1414z00_294 = BgL_l1414z00_884; 
goto BgL_map1415z00_296;} } } } } } } 
BgL_runner1640z00_305 = 
MAKE_PAIR(BgL_arg1614z00_289, BgL_arg1615z00_290); } 
{ /* ./Jas/stack.scm 114 */
obj_t BgL_aux1639z00_304;
{ /* ./Jas/stack.scm 114 */
obj_t BgL_pairz00_546;
BgL_pairz00_546 = BgL_runner1640z00_305; 
BgL_aux1639z00_304 = 
CAR(BgL_pairz00_546); } 
{ /* ./Jas/stack.scm 114 */
obj_t BgL_pairz00_547;
BgL_pairz00_547 = BgL_runner1640z00_305; 
BgL_runner1640z00_305 = 
CDR(BgL_pairz00_547); } 
return 
BGl_maxz00zz__r4_numbers_6_5z00(BgL_aux1639z00_304, BgL_runner1640z00_305);} } }  else 
{ /* ./Jas/stack.scm 97 */
return BFALSE;} } } } break;case ((long)172) : 
case ((long)173) : 
case ((long)174) : 
case ((long)175) : 
case ((long)176) : 
case ((long)177) : 

{ /* ./Jas/stack.scm 118 */
bool_t BgL_test1643z00_306;
BgL_test1643z00_306 = 
(BgL_nz00_233==((long)0)); 
if(BgL_test1643z00_306)
{ /* ./Jas/stack.scm 118 */BFALSE; }  else 
{ /* ./Jas/stack.scm 118 */
BGl_jaszd2warningzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_606), BGl_string1928z00zzjas_stackz00, 
BINT(BgL_nz00_233)); } } 
return BgL_maxnz00_234;break;case ((long)202) : 

{ /* ./Jas/stack.scm 121 */
obj_t BgL_arg1648z00_307;obj_t BgL_arg1650z00_308;
BgL_arg1648z00_307 = 
BGl_stkzd2analysezd2zzjas_stackz00(BgL_envz00_607, BgL_classfilez00_606, BgL_codez00_605, BgL_lz00_232, BgL_nz00_233, BgL_maxnz00_234); 
{ /* ./Jas/stack.scm 121 */
obj_t BgL_arg1657z00_310;
{ /* ./Jas/stack.scm 121 */
obj_t BgL_auxz00_896;
{ /* ./Jas/stack.scm 121 */
obj_t BgL_auxz00_897;
{ /* ./Jas/stack.scm 121 */
obj_t BgL_auxz00_898;
{ /* ./Jas/stack.scm 121 */
obj_t BgL_auxz00_899;
BgL_auxz00_899 = 
CDR(BgL_insz00_231); 
BgL_auxz00_898 = 
CDR(BgL_auxz00_899); } 
BgL_auxz00_897 = 
CDR(BgL_auxz00_898); } 
BgL_auxz00_896 = 
CAR(BgL_auxz00_897); } 
BgL_arg1657z00_310 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_896, BgL_codez00_605); } 
BgL_arg1650z00_308 = 
BGl_stkzd2analysezd2zzjas_stackz00(BgL_envz00_607, BgL_classfilez00_606, BgL_codez00_605, BgL_arg1657z00_310, ((long)1), BgL_maxnz00_234); } 
{ /* ./Jas/stack.scm 121 */
obj_t BgL_list1652z00_309;
BgL_list1652z00_309 = 
MAKE_PAIR(BgL_arg1650z00_308, BNIL); 
return 
BGl_maxz00zz__r4_numbers_6_5z00(BgL_arg1648z00_307, BgL_list1652z00_309);} } break;
default: 
BgL_lz00_313 = BgL_lz00_232; 
BgL_zc3anonymousza31669ze3z83_314:
{ 
obj_t BgL_maxnz00_910;long BgL_nz00_909;obj_t BgL_lz00_908;
BgL_lz00_908 = BgL_lz00_313; 
BgL_nz00_909 = BgL_nz00_233; 
BgL_maxnz00_910 = BgL_maxnz00_234; 
BgL_maxnz00_322 = BgL_maxnz00_910; 
BgL_nz00_321 = BgL_nz00_909; 
BgL_lz00_320 = BgL_lz00_908; 
goto BGl_stkzd2analysezd2zzjas_stackz00;} } }  else 
{ 
obj_t BgL_lz00_913;
BgL_lz00_913 = BgL_lz00_232; 
BgL_lz00_313 = BgL_lz00_913; 
goto BgL_zc3anonymousza31669ze3z83_314;} } } } } } } } } } } } } 
}



/* _stk-analysis */
obj_t BGl__stkzd2analysiszd2zzjas_stackz00(obj_t BgL_envz00_598, obj_t BgL_classfilez00_599, obj_t BgL_codez00_600)
{ AN_OBJECT;
{ /* ./Jas/stack.scm 70 */
return 
BGl_stkzd2analysiszd2zzjas_stackz00(BgL_classfilez00_599, BgL_codez00_600);} 
}



/* make-stk-env */
obj_t BGl_makezd2stkzd2envz00zzjas_stackz00(obj_t BgL_lz00_7)
{ AN_OBJECT;
{ /* ./Jas/stack.scm 125 */
BGl_makezd2stkzd2envz00zzjas_stackz00:
{ /* ./Jas/stack.scm 126 */
bool_t BgL_test1748z00_352;
BgL_test1748z00_352 = 
NULLP(BgL_lz00_7); 
if(BgL_test1748z00_352)
{ /* ./Jas/stack.scm 126 */
return BgL_lz00_7;}  else 
{ /* ./Jas/stack.scm 127 */
bool_t BgL_test1749z00_353;
{ /* ./Jas/stack.scm 127 */
obj_t BgL_auxz00_917;
BgL_auxz00_917 = 
CAR(BgL_lz00_7); 
BgL_test1749z00_353 = 
SYMBOLP(BgL_auxz00_917); } 
if(BgL_test1749z00_353)
{ /* ./Jas/stack.scm 127 */
{ /* ./Jas/stack.scm 127 */
obj_t BgL_arg1752z00_354;obj_t BgL_arg1755z00_355;
{ /* ./Jas/stack.scm 127 */
obj_t BgL_arg1758z00_356;
BgL_arg1758z00_356 = 
CAR(BgL_lz00_7); 
{ /* ./Jas/stack.scm 127 */
obj_t BgL_auxz00_922;
BgL_auxz00_922 = 
BINT(((long)-1)); 
BgL_arg1752z00_354 = 
MAKE_PAIR(BgL_arg1758z00_356, BgL_auxz00_922); } } 
{ /* ./Jas/stack.scm 127 */
obj_t BgL_arg1766z00_358;
BgL_arg1766z00_358 = 
CDR(BgL_lz00_7); 
BgL_arg1755z00_355 = 
BGl_makezd2stkzd2envz00zzjas_stackz00(BgL_arg1766z00_358); } 
return 
MAKE_PAIR(BgL_arg1752z00_354, BgL_arg1755z00_355);} }  else 
{ /* ./Jas/stack.scm 127 */
{ /* ./Jas/stack.scm 128 */
obj_t BgL_arg1771z00_359;
BgL_arg1771z00_359 = 
CDR(BgL_lz00_7); 
{ 
obj_t BgL_lz00_929;
BgL_lz00_929 = BgL_arg1771z00_359; 
BgL_lz00_7 = BgL_lz00_929; 
goto BGl_makezd2stkzd2envz00zzjas_stackz00;} } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjas_stackz00()
{ AN_OBJECT;
{ /* ./Jas/stack.scm 1 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjas_stackz00()
{ AN_OBJECT;
{ /* ./Jas/stack.scm 1 */
BGl_modulezd2initializa7ationz75zzjas_libz00(((long)38394), "jas_stack"); 
return 
BGl_modulezd2initializa7ationz75zzjas_classfilez00(((long)21074), "jas_stack");} 
}

